public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/liblrdf/
Date: Wed,  3 Oct 2018 14:51:17 +0000 (UTC)	[thread overview]
Message-ID: <1538578234.571836094e450754dc0ddd8f68ac8cee39898d0e.asturm@gentoo> (raw)

commit:     571836094e450754dc0ddd8f68ac8cee39898d0e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  3 12:25:57 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Oct  3 14:50:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57183609

media-libs/liblrdf: 0.6.1 version bump

Bug: https://bugs.gentoo.org/470242
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11

 media-libs/liblrdf/Manifest             |  1 +
 media-libs/liblrdf/liblrdf-0.6.1.ebuild | 45 +++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/media-libs/liblrdf/Manifest b/media-libs/liblrdf/Manifest
index 67e01b831f5..64c1ba5ddc6 100644
--- a/media-libs/liblrdf/Manifest
+++ b/media-libs/liblrdf/Manifest
@@ -1 +1,2 @@
 DIST liblrdf-0.5.0.tar.gz 283109 BLAKE2B 057b9fcd5fac28624a7d2a2c9da71bc298fe94a11646cf33f3ac3337959ecb4dbe637ecd9e7e889a6761c38c22c32f11a83b114ea53eec4305ff38f684fdb69c SHA512 d3bd4d83fb1e53f93817bcfe30aec74f74e46dd98f1d573b7d123ee0cdf3162b27a24ffc8430f71b1616d9ba9af7c88b1b625e7459b30f3941804b56c5cc0cd3
+DIST liblrdf-0.6.1.tar.gz 43878 BLAKE2B 98ae1a900ac4f5517fb027984f4bb40c02cd290ce4ed26a0f8207c353946914d5c984e34df85349def08ef34002028f61649f5370f8b36d663160843db9bd13e SHA512 7732813eec704aef984d056de254e4fa049fdd0a7444b6a88f75f012afe9c587cbd1295f027c77361fa42bc097cdce9d9cabdba6b86e99a3c14805d84258df1c

diff --git a/media-libs/liblrdf/liblrdf-0.6.1.ebuild b/media-libs/liblrdf/liblrdf-0.6.1.ebuild
new file mode 100644
index 00000000000..6d22fc1c2bc
--- /dev/null
+++ b/media-libs/liblrdf/liblrdf-0.6.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library for manipulation of RDF files in LADSPA plugins"
+HOMEPAGE="https://github.com/swh/LRDF"
+SRC_URI="https://github.com/swh/LRDF/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="static-libs"
+
+RDEPEND="
+	media-libs/ladspa-sdk
+	media-libs/raptor:2
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog README )
+
+S="${WORKDIR}/LRDF-${PV}"
+
+src_prepare() {
+	default
+	sed -i -e 's:usr/local:usr:' examples/{instances,remove}_test.c || die #392221
+	eautoreconf
+}
+
+src_configure() {
+	econf $(use_enable static-libs static)
+}
+
+src_test() {
+	has_version media-plugins/swh-plugins && default #392221
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2018-10-03 14:51 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-03 14:51 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-06 18:43 [gentoo-commits] repo/gentoo:master commit in: media-libs/liblrdf/ WANG Xuerui
2021-08-28  6:01 Miroslav Šulc
2021-08-27 20:04 Sam James
2021-08-27 20:04 Sam James
2021-08-27 20:00 Sam James
2021-08-27 20:00 Sam James
2021-07-27  6:48 Sam James
2021-07-27  6:02 Sam James
2021-06-29 14:50 Miroslav Šulc
2018-11-08 12:29 Andreas Sturmlechner
2018-11-07 23:44 Thomas Deutschmann
2018-11-07 10:12 Mikle Kolyada
2018-11-07  0:17 Sergei Trofimovich
2018-11-07  0:15 Sergei Trofimovich
2018-10-04  7:28 Andreas Sturmlechner
2016-08-31 15:24 Lars Wendler
2015-10-04 20:15 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538578234.571836094e450754dc0ddd8f68ac8cee39898d0e.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox